// Model used in Bodenstein, Corsetti, Guerrieri 
// as documented in technical appendix.

// Endogenous variables
var 
c, lambda, z, k, gamma, ivar;

 
varexo  
errz;

parameters  
alphap, betap, deltap, rhozp;


model;
1/c - lambda = 0;

betap*lambda(1)*alphap*exp(z)*k^(alphap-1)+gamma-betap*gamma(1)*(1-deltap) = 0;

-lambda-gamma= 0;

exp(z)*k(-1)^alphap-c-ivar = 0;

k-(1-deltap)*k(-1)-ivar = 0;

z = rhozp*z(-1)+errz;
//////////////////////////////////
// Monetary policy bloc
//////////////////////////////////


end; 



steady;

check;

stoch_simul(order=1,nocorr,nomoments,irf=0,noprint);
