global M_ oo_

% modnam and modnamstar below choose model
modnam = 'rbc';


shockssequence = '0.01';
shocklabel = 'errz';
nperiods = 20;

[zdata, zdatass, oobase, Mbase_]= solve_no_constraint(modnam,...
    shockssequence,shocklabel,nperiods);

% unpack the IRFs                          
for i=1:Mbase_.endo_nbr
  eval([deblank(Mbase_.endo_names(i,:)),'_irf=zdata(:,i);']);
  eval([deblank(Mbase_.endo_names(i,:)),'_ss=zdatass(i);']);
end


% get parameter values
for i=1:Mbase_.param_nbr
    eval([Mbase_.param_names(i,:),'=Mbase_.params(i);'])
end

%% Modify to plot IRFs 
% 
titlelist = char('c','i','k');
 
percent = 'Percent dev. from Steady State';
ylabels = char(percent,percent,percent);
 
figtitle = '';
line1=[c_irf/c_ss,ivar_irf/ivar_ss,k_irf/k_ss];
% 

legendlist = cellstr(char(''));
figlabel = '';
makechart(titlelist,legendlist,figlabel,ylabels,line1)
